Ubuntu 10.10 nie używa sterowników Nvidii mimo ich instalacj


(Bujas Damian) #1

scaled.php?server=837&filename=zrzutekranudodatkoweste.png&res=landing

Instaluje sterowniki tak jak tutaj jest napisane:

http://www.ubuntu-pomoc.org/ubuntu-11-1012-04-instalacja-sterownika-nvidia-w-wersji-295-53-z-repozytorium/

Próbowałem obu sposobów. Do tego po instalacji gdy wchodzę w "dodatkowe sterowniki" wywala mi

You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run `nvidia-xconfig` as root), and restart the X server.

a więc wpisuje w terminalu

restart kompa i nic nie pomaga. Wciąż pisze "Ten sterownik jest włączony, ale nie jest w użyciu."

Co mam zrobić żeby zaskoczyło? jestem początkujący więc proszę najjaśniej jak się da


(pocztarafcio@onet.pl) #2

Ubuntu 10.10 nie jest już wspierane , repo jest wyłączone i dlatego te problemy :frowning: Dla mnie Ubu...10.10 było najbardziej dopracowaną wersją i jako ostatnie gościło na moim dysku ( mam skonfigurowane i zarchiwizowane w obrazie ) Zależy Ci na Ubu... z Gnome 2 masz jeszcze 10.04 LTS ze wsparciem ...


(Bujas Damian) #3

Nie do końca rozumiem. Po co repo? przecież to sterowniki własnościowe ze strony Nvidii które instaluje przez konsole...

Czyli co, aktualizacja Ubuntu do najnowszej wersji rozwiąże mój problem? mam nadzieję, ze nie padnie mi przy tym system jak ostatnio :slight_smile:


(ra-v) #4

Tutaj masz pokazane jak instalowałem sterowniki z nvidia.com NVidia na Linuksie - z tym że to openSUSE, ale myślę że na każdym będzie podobnie. Jeszcze nie trafiło się żebym miał jakiś problem.


(Powerfeniks) #5

Po co 29x skoro 30x zostalo wydane? Jesli lubisz wyglad gnome 2x to najlepiej zainstaluj jakies distro z "mate" na przyklad Mint ktory jest oparty o ubu-dubu :wink: lub cos w podobie na temat instalacji nowych sterow do aktualnej wersji ubuntu masz tu: "http://www.unixmen.com/nvidia-302-17-has-been-released-install-in-ubuntu12-04-linuxmint13-fedora17/" pzdr.


(Bujas Damian) #6

Robie tak jak napisane w tym linku który mi podałęś

Wpisuje

i nie wiedzieć czemu wyskakuje

Bardzo zalezy mi żeby zostać przy Ubuntu 10.10 ale co mi po takim systemie na którym nawet filmu nie obejrze bo obraz nie jest płynny. Próbowałem co prawda aktualizowac do 12.04 ale wywaliło mi

Ubuntu nie chciał się odpalić więcgo wywaliłem i znowu zainstalowałem 10.10.

pomozcie prosze bo dostane rozstroju nerwowego


(ra-v) #7

Szkolny błąd

sudo sh./NVIDIA-Linux-x86-295.59.run

Nie widzę spacji za sh.

Pamiętaj aby to odpalać z konsoli a wcześniej wyłączyć X-y.


(Powerfeniks) #8

@GreenSpirit, juz ktos wyzej napisal ze 10.10 NIE JEST WSPIERANE, link ktory podalem jest dla wersji 12.04, podaj konfiguracje sprzetowa zeby ludzie wiedzieli jak ci pomuc

bo przeciez sa rozne sterowniki nvidii dla roznych kart, sprobuj nastepnym razem zaznaczyc do kogo odpisujesz, i tak na koniec dla czego sie uparles na wersje 10.10? Bo jesli ze wzgledu na slaby sprzet to zawsze mozesz uzyc srodowiska xfce ktore jest lzejsze i bardzo przypomina gnome2x, mozesz je na przyklad zainstalowac z jakas swiezo wydana dystrybucja co by bylo rekomendowane w twoim przypadku.


(Bujas Damian) #9

Pomyłka. Ze spacją Can't open a bez command not found. Źle po prostu skopiowałem, sorry

A co do X'ów, jak wpisuje odpowiednią komende w trybie tekstowym to wywala mi

Karta GeForce 9400GT, procesor Intel core 2 duo E2220 2x2.4 i 2GB RAM DDR2. Sterowniki do karty ściągam na 100% odpowiednie. Co do tego że się uparłem na 10.10 sam widzisz jakiego mam kompa. Poza tym co nowszy Ubuntu to wolniej chodzi (a powinno być na odwrót) i nie podoba mi się unity. Bardzo mi zależy żeby akurat na tej wersji którą mam zainstalowac te cholerne sterowniki


(Powerfeniks) #10

No wlasnie widze ze taki slaby to on nie jest :slight_smile: moze procek nie nalezy do pierwszej klasy ale mysle ze karta daje rade, nie rozumie tylko dlaczego sie uparles na to 10.10, wiem ze niektorym/wielu unity upadla lapka/pc ale przeciez sa lzejsze srodowiska np. wielokrotnie wspomniany xfce ktorego wyglad mozesz doslownie w zupelnosci upodobnic do wygladu gnome 2x, musisz przeciez wziazc pod uwage ze 10.10 ma w tym momencie brak jakich kolwiek aktualizacji (trup) co moze spowodowac znaczny spadek bespieczenstwa twojego systemu jak i rowniez jego stabilnosci, jesli chcesz na sile gnome 2.x to tu: "http://distrowatch.com/table.php?distribution=solusos" masz dystrybucje ktora jest debianoidem i nadal wspiera gnome 2x tyle ze zawiera w sobie uaktualnione pakiety na przyklad jadro 3.3.6, po za tym jak sprobujesz to chyba nic nie stracisz :slight_smile: pzdr.


(Bujas Damian) #11

Czyli nie da się zainstalować dobrych sterowników na wersji która nie jest wspierana? no trudno

Na razie nie będę eksperymentował. Chcce po prostu zostać przy Ubuntu z gnome i przy tym obejrzeć film. Do której wersji mam zaktualizować system żeby się sterowniki zainstalowały? do 11.04 wystarczy czy trzeba aż do 12.04 co nie jest mi oczywiście na rękę bo taka aktualizacja trwa ze 3 godziny i wszystko pod strachem bo system po takim przeskoku lubi nie wstać :smiley:


(Powerfeniks) #12

Najlepsza jest swieza instalacja obraz pobiera sie jakies pol godziny instalacja to jakies 20min, ale nie rekomenduje ubuntu z unity tak jak juz wczesniej pisalem, a stery na sile musi sie dac zainstalowac tylko pewnie musial bys pokombinowac moze znalezc starsza wersje pakietow to tyle, wlasciwie to ty masz np. latwiejsze zadanie niz ja bo nie masz sandy bridge'a i 2x gpu o ile sie dobrze orientuje, przede wszystkim zadbaj o aktualne/wspierane pakiety systemu bazowego bo to jest najwazniejsze moim zdaniem pzdr.


(Sebix99) #13

Pisałeś że chcesz wyłączyć LIGHTDM w Ubuntu człowieku pomyśl... UBUNTU ma gdm czy jakoś tak, LightDM ma Lubuntu i Xubuntu.


(ra-v) #14

Na innych Linuxach przełączam się na inny terminal, wpisuję "init 3" i zamyka wszystkie Xy i potem instaluje sterowniki. Zresztą na filmie wszystko widać. To co Ubuntu ma jako.s inaczej?

Tzn że wywołujesz plik który nie istnieje?

ls NVIDIA-Linux-x86-295.59.run

Jeśli jest to

chmod +x NVIDIA-Linux-x86-295.59.run

./NVIDIA-Linux-x86-295.59.run

(Powerfeniks) #15

A czy przypadkiem nie musi przejsc do katalogu za pomoca "cd" gdzie ma dany pakiet lub podac pelna sciezke do pakietu? pzdr.


(Bujas Damian) #16

Zrobiłem wszystko tak jak napisaliście ale niestety wywaliło błąd


(Sebix99) #17

Najpierw

sudo gedit(lub innt edytor np.: nano) /etc/modprobe.d/blacklist.conf

i dodaj tam

blacklist nouveau

Powinno pomóc i wcześniej zobacz po przez wejście przez menedżer plików czy nie ma już nigdzie wpisane tego.


(Bujas Damian) #18

Udało się zainstalować sterowniki. ALE

Jak włacze film na youtube to kolorystyka się nie zgadza. Obraz taki fioletowy:

18092988902986590941.png

A co ciekawe jak załączę jakiś film z dysku na odtwarzaczu VLC to wszystko jest ok

Czym to może być spowodowane? jak wchodzę w panel sterowania Nvidii to wszystko wydaje się być w porządku


(Sebix99) #19

Wyłącz przyśpieszenie sprzętowe powinno pomóc. (PPM na reklame flash/film na yt > ustawienia > odznacz przyśpieszenie sprzętowe)


(Bujas Damian) #20

Pomogło, dzięki.

Ostatnie już pytanie, dlaczego mimo instalacji najnowszych sterowników, zdarza się że obraz nie jest płynny?